package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.extern.slf4j.Slf4j;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 车费设置表(TFareSetting)表实体类
 *
 * @author makejava
 * @since 2024-08-22 17:41:00
 */
@SuppressWarnings("serial")
@ApiModel(value = "TFareSetting", description = "车费设置")
@TableName("t_fare_setting")
public class TFareSetting extends Model<TFareSetting> {
    //主键
    @ApiModelProperty("主键")
    private String id;
    //起步价
    @ApiModelProperty("起步价")
    private BigDecimal baseFare;
    //起步距离（公里）
    @ApiModelProperty("起步距离（公里）")
    private BigDecimal baseDistance;
    //超出起步价后每公里费用
    @ApiModelProperty("超出起步价后每公里费用")
    private BigDecimal additionalFarePer;
    //是否启用0否 1是
    @ApiModelProperty("是否启用0否 1是")
    private Integer enable;
    //部门id
    @ApiModelProperty("部门id")
    private String deptId;
    //部门名称
    @ApiModelProperty("部门名称")
    private String deptName;
    //系统创建时间
    @ApiModelProperty("系统创建时间")
    private Date createTime;
    //系统修改时间
    @ApiModelProperty("系统修改时间")
    private Date updateTime;
    //是否删除0否1是
    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public BigDecimal getBaseFare() {
        return baseFare;
    }

    public void setBaseFare(BigDecimal baseFare) {
        this.baseFare = baseFare;
    }

    public BigDecimal getBaseDistance() {
        return baseDistance;
    }

    public void setBaseDistance(BigDecimal baseDistance) {
        this.baseDistance = baseDistance;
    }

    public BigDecimal getAdditionalFarePer() {
        return additionalFarePer;
    }

    public void setAdditionalFarePer(BigDecimal additionalFarePer) {
        this.additionalFarePer = additionalFarePer;
    }

    public Integer getEnable() {
        return enable;
    }

    public void setEnable(Integer enable) {
        this.enable = enable;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public Serializable pkVal() {
        return this.id;
    }
}

